import { EventEmitter } from '../../../stencil-public-runtime';
export declare class FormControlMonetaryProvisioning {
    textInput: HTMLInputElement;
    private imask;
    isFocused: boolean;
    label: string;
    name: string;
    helpText?: string;
    errorText?: string;
    defaultValue?: string;
    inputHandler?: (name: string, value: string) => void;
    maskOptions: any;
    disabled?: boolean;
    handleDefaultValueChange(newValue: string): void;
    formControlInput: EventEmitter<any>;
    formControlBlur: EventEmitter<any>;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    private initializeIMask;
    handleFormControlInput: (event: any) => void;
    updateInput: (newValue: any) => void;
    private get inputPart();
    render(): any;
}
